* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif;
    color: #fff;
}

section {
    display: flex ;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
    background: #121212;
}
.login-box {
    position: absolute;
    width: 100%;
    max-width: 400px;
    left: 50%;
    height: 490px;
    backdrop-filter: blur(10px);
    border:  2px solid rgba(255, 255, 255, .5);
    background: transparent;
    backdrop-filter: blur(15px);
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: translateX(-50%);
    transition: all 0.4s ease;
    
}

.login-box.hidden {
    opacity: 0;
    transform: translate(-50%, 40px);
    pointer-events: none;
}

.login-box.active {
    opacity: 1;
    transform: translate(-50%, 0);
}


h2 {
    font-size: 2em;
    text-align: center;
    color: #fff;
}

.input-box {
    position: relative;
    top: -5;
    width: 310px;
    margin: 30px 0;
    border-bottom: 2px solid #fff;
}

.input-box label {
    position: absolute;
    top: -10px;
    left: 5px;
    font-size: 0.85em;
    color: #fff;
    background: #121212;
    padding: 0 5px;
}

.input-box input:focus ~ label,
.input-box input:valid ~ label {
    
    background: transparent;
    color: white;
}

.input-box input {
    width: 100%;
    height: 50px;
    color: #fff;
    background: transparent;
    border: none;
    outline: none;
    font-size: 1em;
    padding: 15px 35px 5px 5px;

}

.input-box .icon {
    position: absolute;
    right: 8px;
    top: 15px;
    font-size: 1.2em;
}

.eye{
position: absolute;
right: 35px;
top: 15px;
cursor: pointer;
font-size: 18px;
z-index: 99;
color: #fff;
}

.remember-forgot {
    margin: -15px 0 15px;
    font-size: .9em;
    color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.remember-forgot label input {
    margin-right: 5px;
}

.remember-forgot a {
    color: #fff;
    text-decoration: none;
}

.remember-forgot a:hover {
    text-decoration: underline;
}

/* BUTTON */

button {
    width: 100%;
    height: 40px;
    margin-top: 30px;
    border-radius: 30px;
    border: none;
    background: #fff;
    color: #000;
    font-size: 1em;
    font-weight: 600;
    cursor: pointer;
}

p {
    text-align: center;
    margin-top: 15px;
}

p a {
    color: #fff;
    text-decoration: none;
    font-weight: 600;
}

p a:hover {
    text-decoration: underline;
}

.register-link {
    font-size: .9em;
    text-align: center;
    margin: 25px 0 10px;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 1000px transparent inset !important;
    -webkit-text-fill-color: white !important;
    transition: background-color 5000s ease-in-out 0s;
}

.error-message {
    padding: 5x;
    background: #f8d7da;
    border-radius: 6px;
    font-size: 16px;
    color: #a42834;
    text-align: center;
    margin-bottom: 20px;
}

.success-message{
position:fixed;
width: 100%;
top:20px;
left:50%;
transform:translateX(-50%);
background:#c8f7dc;
color:#0f5132;
padding:14px 28px;
border-radius:10px;
font-weight:500;
box-shadow:0 10px 25px rgba(0,0,0,0.25);
text-align: center;
z-index:9999;
animation:slideDown .5s ease;
}

.fadeOut{
animation:fadeOut .6s forwards;
}

@keyframes slideDown{
from{
opacity:0;
transform:translate(-50%,-30px);
}
to{
opacity:1;
transform:translate(-50%,0);
}
}

@keyframes fadeOut{
to{
opacity:0;
transform:translate(-50%,-20px);
}
}

